---
title: RTCDTMFToneChangeEvent.RTCDTMFToneChangeEvent()
slug: Web/API/RTCDTMFToneChangeEvent/RTCDTMFToneChangeEvent
tags:
  - Constructor
  - DTMF
  - Media
  - RTCDTMFToneChangeEvent
  - Reference
  - WebRTC
  - WebRTC API
---
<div>{{APIRef("WebRTC")}}{{SeeCompatTable}}</div>

<p>The <code><strong>RTCDTMFToneChangeEvent()</strong></code> constructor creates a new {{domxref("RTCDTMFToneChangeEvent")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"> var <em>event</em> = new RTCDTMFToneChangeEvent(<em>type</em>, <em>options</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>type</code></dt>
 <dd>A {{domxref("DOMString")}} containing the name of the event. This is always <code>"tonechange"</code>.</dd>
 <dt><code>options</code></dt>
 <dd>A dictionary of type <code>RTCDTMFToneChangeEventInit</code>, which may contain one or more of the following fields:
 <dl>
  <dt><code>tone</code></dt>
  <dd>A {{domxref("DOMString")}} containing a single DTMF tone character which has just begun to play, or an empty string (<code>""</code>) to indicate that the previous tone has stopped playing. See {{anch("Tone characters")}} for details on what characters are permitted.</dd>
 </dl>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A newly-created {{domxref("RTCDTMFToneChangeEvent")}}, configured as specified in the provided options.</p>

<h3 id="Tone_characters">Tone characters</h3>

<p>{{page("/en-US/docs/Web/API/RTCDTMFSender/toneBuffer", "DTMF tone characters")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#dom-rtcdtmftonechangeevent', 'RTCDTMFToneChangeEvent()') }}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCDTMFToneChangeEvent.RTCDTMFToneChangeEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC" title="/en-US/docs/CSS/Using_CSS_animations">WebRTC</a></li>
 <li><a href="/en-US/docs/Web/API/WebRTC_API/Using_DTMF">Using DTMF with WebRTC</a></li>
 <li>Its usual target: {{domxref("RTCDTMFSender")}}.</li>
</ul>
